Bug 651208 - abrt never installs debuginfos correctly
Summary: abrt never installs debuginfos correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-09 00:53 UTC by Jon Masters
Modified: 2015-02-01 22:53 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:20:41 UTC


Attachments (Terms of Use)

Description Jon Masters 2010-11-09 00:53:08 UTC
Description of problem:

Whenever a crash requires debuginfo packages, abrt never finds nor installs them (always reports them missing) although running through gdb correctly points out the right debuginfo-install command that does work. This means that ABRT is effectively useless on my test box, other than for generating lots of popups.

Version-Release number of selected component (if applicable):

abrt-1.1.13-2.fc15.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Wait for anything to crash (e.g.rhythmbox hasn't worked in weeks/months)
2. ABRT will launch
3. It won't find debuginfos, but gdb will suggest the correct install command.
  
Actual results:

ABRT cannot generate a usable backtrace.

Expected results:

ABRT generates a usable backtrace.

Additional info:

Comment 1 Jiri Moskovcak 2010-11-09 10:02:40 UTC
Do you run the gdb on the core saved by abrt (somewhere in /var/spool/abrt/)? The problem with rawhide is it changes fast and the coredump might be from older package version and that's why ABRT fails to download the debuginfo, other issue might be not accessible repos on which abrt-debuginfo-install script would fail.. yu can try to run the script manually with -v to see what's going on there.

Comment 2 Fedora Update System 2011-03-27 17:37:36 UTC
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15

Comment 3 Fedora Update System 2011-03-29 20:03:09 UTC
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15

Comment 4 Fedora Update System 2011-03-30 02:33:29 UTC
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-03-30 16:49:49 UTC
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15

Comment 6 Fedora Update System 2011-04-04 14:09:37 UTC
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15

Comment 7 Fedora Update System 2011-04-15 15:10:54 UTC
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15

Comment 8 Fedora Update System 2011-04-20 13:31:27 UTC
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15

Comment 9 Fedora Update System 2011-04-21 16:45:53 UTC
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15

Comment 10 Fedora Update System 2011-04-26 16:13:15 UTC
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.